TICKIT_WINDOW_NEW_ROOT(3)

NAME
tickit_window_new_root - create a new toplevel root window

SYNOPSIS
    #include <tickit.h>

    TickitWindow *tickit_window_new_root(TickitTerm *term);

Link with -ltickit.

DEPRECATED
This function is deprecated and should not be used in new programs. Instead, obtain the root window from the toplevel Tickit instance by calling tickit_get_rootwin(3).

DESCRIPTION
tickit_window_new_root() creates a new toplevel TickitWindow instance to represent the drawing area on the given terminal instance. The terminal instance is stored by the window itself, and is used for flushing the TickitRenderBuffer to when expose events occur. The root window will increase the reference count of its backing terminal by one; this reference will be dropped when the window is destroyed.

The root window behaves similar to other windows within the application, with the following differences:

*   Its position remains fixed at zero, and should not be set by the application.

*   Its size is managed automatically by observing resize events from the underlying terminal instance, and should not be set by the application.

*   It is initially fully-damaged after construction, and will have a pending expose event waiting to occur.

RETURN VALUE
If successful, tickit_window_new_root() returns a pointer to the new instance.

SEE ALSO
tickit_window_new(3), tickit_window_get_term(3), tickit_window_bind_event(3), tickit_window_expose(3), tickit_window(7), tickit(7)